<html>
<head>
<title>OgreViewport.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreViewport.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreViewport_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __Viewport_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __Viewport_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreColourValue_8h.html">OgreColourValue.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreFrustum_8h.html">OgreFrustum.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00056"></a><a class="code" href="classOgre_1_1Viewport.html">00056</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ViewportAlloc</a>
<a name="l00057"></a>00057     {
<a name="l00058"></a>00058     <span class="keyword">public</span>:
<a name="l00060"></a><a class="code" href="classOgre_1_1Viewport_1_1Listener.html">00060</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Viewport_1_1Listener.html" title="Listener interface so you can be notified of Viewport changes.">Listener</a>
<a name="l00061"></a>00061         {
<a name="l00062"></a>00062         <span class="keyword">public</span>:
<a name="l00063"></a><a class="code" href="classOgre_1_1Viewport_1_1Listener.html#ab9fb43cd526638dc455a38042b17f3d4">00063</a>             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Viewport_1_1Listener.html#ab9fb43cd526638dc455a38042b17f3d4">~Listener</a>() {}
<a name="l00064"></a>00064 
<a name="l00066"></a><a class="code" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323">00066</a>             <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323" title="Notification of when a new camera is set to target listening Viewport.">viewportCameraChanged</a>(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* viewport) {}
<a name="l00067"></a>00067 
<a name="l00069"></a><a class="code" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8">00069</a>             <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8" title="Notification of when target listening Viewport&#39;s dimensions changed.">viewportDimensionsChanged</a>(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* viewport) {}
<a name="l00070"></a>00070 
<a name="l00072"></a><a class="code" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501">00072</a>             <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501" title="Notification of when target listening Viewport&#39;s is destroyed.">viewportDestroyed</a>(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* viewport) {}
<a name="l00073"></a>00073         };
<a name="l00074"></a>00074 
<a name="l00097"></a>00097         <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>(
<a name="l00098"></a>00098             <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* camera,
<a name="l00099"></a>00099             <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* target,
<a name="l00100"></a>00100             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top,
<a name="l00101"></a>00101             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height,
<a name="l00102"></a>00102             <span class="keywordtype">int</span> ZOrder);
<a name="l00103"></a>00103 
<a name="l00106"></a>00106         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>();
<a name="l00107"></a>00107 
<a name="l00115"></a>00115         <span class="keywordtype">void</span> _updateDimensions(<span class="keywordtype">void</span>);
<a name="l00116"></a>00116 
<a name="l00119"></a>00119         <span class="keywordtype">void</span> update(<span class="keywordtype">void</span>);
<a name="l00120"></a>00120         
<a name="l00133"></a>00133         <span class="keywordtype">void</span> clear(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> buffers = <a class="code" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a37afd2c8cf628f3057c09eac0529a466">FBT_COLOUR</a> | <a class="code" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a3466d3d0081023a40db64a4cd389fe40">FBT_DEPTH</a>,
<a name="l00134"></a>00134                    <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour = <a class="code" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>, 
<a name="l00135"></a>00135                    <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> depth = 1.0f, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> stencil = 0);
<a name="l00136"></a>00136 
<a name="l00139"></a>00139         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* getTarget(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00140"></a>00140 
<a name="l00143"></a>00143         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* getCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00144"></a>00144 
<a name="l00146"></a>00146         <span class="keywordtype">void</span> setCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00147"></a>00147 
<a name="l00149"></a>00149         <span class="keywordtype">int</span> getZOrder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00153"></a>00153         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLeft(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00154"></a>00154 
<a name="l00158"></a>00158         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTop(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00159"></a>00159 
<a name="l00164"></a>00164         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getWidth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00169"></a>00169         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getHeight(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00174"></a>00174         <span class="keywordtype">int</span> getActualLeft(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00179"></a>00179         <span class="keywordtype">int</span> getActualTop(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00183"></a>00183         <span class="keywordtype">int</span> getActualWidth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00188"></a>00188         <span class="keywordtype">int</span> getActualHeight(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00189"></a>00189 
<a name="l00202"></a>00202         <span class="keywordtype">void</span> setDimensions(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height);
<a name="l00203"></a>00203 
<a name="l00206"></a>00206         <span class="keywordtype">void</span> setOrientationMode(<a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> orientationMode, <span class="keywordtype">bool</span> setDefault = <span class="keyword">true</span>);
<a name="l00207"></a>00207 
<a name="l00210"></a>00210         <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> getOrientationMode() <span class="keyword">const</span>;
<a name="l00211"></a>00211 
<a name="l00214"></a>00214         <span class="keyword">static</span> <span class="keywordtype">void</span> setDefaultOrientationMode(<a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> orientationMode);
<a name="l00215"></a>00215 
<a name="l00218"></a>00218         <span class="keyword">static</span> <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> getDefaultOrientationMode();
<a name="l00219"></a>00219 
<a name="l00223"></a>00223         <span class="keywordtype">void</span> setBackgroundColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00224"></a>00224 
<a name="l00227"></a>00227         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getBackgroundColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00228"></a>00228 
<a name="l00232"></a>00232         <span class="keywordtype">void</span> setDepthClear( <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> depth );
<a name="l00233"></a>00233 
<a name="l00236"></a>00236         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getDepthClear(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00237"></a>00237 
<a name="l00247"></a>00247         <span class="keywordtype">void</span> setClearEveryFrame(<span class="keywordtype">bool</span> clear, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> buffers = <a class="code" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a37afd2c8cf628f3057c09eac0529a466">FBT_COLOUR</a> | <a class="code" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a3466d3d0081023a40db64a4cd389fe40">FBT_DEPTH</a>);
<a name="l00248"></a>00248 
<a name="l00251"></a>00251         <span class="keywordtype">bool</span> getClearEveryFrame(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00252"></a>00252 
<a name="l00254"></a>00254         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getClearBuffers(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00255"></a>00255 
<a name="l00267"></a>00267         <span class="keywordtype">void</span> setAutoUpdated(<span class="keywordtype">bool</span> autoupdate);
<a name="l00271"></a>00271         <span class="keywordtype">bool</span> isAutoUpdated() <span class="keyword">const</span>;
<a name="l00272"></a>00272 
<a name="l00280"></a><a class="code" href="classOgre_1_1Viewport.html#a8e8577fd81c45b05de880106f364a281">00280</a>         <span class="keywordtype">void</span> setMaterialScheme(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; schemeName)
<a name="l00281"></a>00281         { mMaterialSchemeName = schemeName; }
<a name="l00282"></a>00282         
<a name="l00285"></a><a class="code" href="classOgre_1_1Viewport.html#a6a7957a8f88824cb9dffad4627aed0c2">00285</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaterialScheme(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00286"></a>00286 <span class="keyword">        </span>{ <span class="keywordflow">return</span> mMaterialSchemeName; }
<a name="l00287"></a>00287 
<a name="l00290"></a>00290         <span class="keywordtype">void</span> getActualDimensions(
<a name="l00291"></a>00291             <span class="keywordtype">int</span> &amp;left, <span class="keywordtype">int</span> &amp;top, <span class="keywordtype">int</span> &amp;width, <span class="keywordtype">int</span> &amp;height ) <span class="keyword">const</span>;
<a name="l00292"></a>00292 
<a name="l00293"></a>00293         <span class="keywordtype">bool</span> _isUpdated(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00294"></a>00294         <span class="keywordtype">void</span> _clearUpdatedFlag(<span class="keywordtype">void</span>);
<a name="l00295"></a>00295 
<a name="l00298"></a>00298         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> _getNumRenderedFaces(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00299"></a>00299 
<a name="l00302"></a>00302         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> _getNumRenderedBatches(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00303"></a>00303 
<a name="l00314"></a>00314         <span class="keywordtype">void</span> setOverlaysEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00315"></a>00315 
<a name="l00318"></a>00318         <span class="keywordtype">bool</span> getOverlaysEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00319"></a>00319 
<a name="l00330"></a>00330         <span class="keywordtype">void</span> setSkiesEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00331"></a>00331 
<a name="l00334"></a>00334         <span class="keywordtype">bool</span> getSkiesEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00335"></a>00335 
<a name="l00344"></a>00344         <span class="keywordtype">void</span> setShadowsEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00345"></a>00345 
<a name="l00348"></a>00348         <span class="keywordtype">bool</span> getShadowsEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00349"></a>00349 
<a name="l00350"></a>00350 
<a name="l00359"></a><a class="code" href="classOgre_1_1Viewport.html#ad5a4fe00ee05861c157bf63e78e1c2b0">00359</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Viewport.html#ad5a4fe00ee05861c157bf63e78e1c2b0" title="Sets a per-viewport visibility mask.">setVisibilityMask</a>(<a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask) { mVisibilityMask = mask; }
<a name="l00360"></a>00360 
<a name="l00364"></a><a class="code" href="classOgre_1_1Viewport.html#a84e9c01f4e8e62422be4fda269dd54cd">00364</a>         <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="code" href="classOgre_1_1Viewport.html#a84e9c01f4e8e62422be4fda269dd54cd" title="Gets a per-viewport visibility mask.">getVisibilityMask</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVisibilityMask; }
<a name="l00365"></a>00365 
<a name="l00378"></a>00378         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRenderQueueInvocationSequenceName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sequenceName);
<a name="l00380"></a>00380         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getRenderQueueInvocationSequenceName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00382"></a>00382         <a class="code" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a>* _getRenderQueueInvocationSequence(<span class="keywordtype">void</span>);
<a name="l00383"></a>00383 
<a name="l00385"></a>00385         <span class="keywordtype">void</span> pointOrientedToScreen(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> &amp;v, <span class="keywordtype">int</span> orientationMode, <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> &amp;outv);
<a name="l00386"></a>00386         <span class="keywordtype">void</span> pointOrientedToScreen(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> orientedX, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> orientedY, <span class="keywordtype">int</span> orientationMode,
<a name="l00387"></a>00387                                    <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> &amp;screenX, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> &amp;screenY);
<a name="l00388"></a>00388 
<a name="l00390"></a>00390         <span class="keywordtype">void</span> addListener(Listener* l);
<a name="l00392"></a>00392         <span class="keywordtype">void</span> removeListener(Listener* l);
<a name="l00393"></a>00393 
<a name="l00394"></a>00394     <span class="keyword">protected</span>:
<a name="l00395"></a><a class="code" href="classOgre_1_1Viewport.html#a36698bf38ccd2f3352acdfa87f872bc8">00395</a>         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* <a class="code" href="classOgre_1_1Viewport.html#a36698bf38ccd2f3352acdfa87f872bc8">mCamera</a>;
<a name="l00396"></a><a class="code" href="classOgre_1_1Viewport.html#a30e4c768a1a5ac98c6b1eae1aa1936a7">00396</a>         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* <a class="code" href="classOgre_1_1Viewport.html#a30e4c768a1a5ac98c6b1eae1aa1936a7">mTarget</a>;
<a name="l00397"></a>00397         <span class="comment">// Relative dimensions, irrespective of target dimensions (0..1)</span>
<a name="l00398"></a><a class="code" href="classOgre_1_1Viewport.html#aafd8a3dc0df1d03cbab1810379c66475">00398</a>         <span class="keywordtype">float</span> mRelLeft, mRelTop, <a class="code" href="classOgre_1_1Viewport.html#aafd8a3dc0df1d03cbab1810379c66475">mRelWidth</a>, mRelHeight;
<a name="l00399"></a>00399         <span class="comment">// Actual dimensions, based on target dimensions</span>
<a name="l00400"></a><a class="code" href="classOgre_1_1Viewport.html#a4ff8c7f41b09c379d3b58b662a3efea8">00400</a>         <span class="keywordtype">int</span> mActLeft, mActTop, <a class="code" href="classOgre_1_1Viewport.html#a4ff8c7f41b09c379d3b58b662a3efea8">mActWidth</a>, mActHeight;
<a name="l00402"></a><a class="code" href="classOgre_1_1Viewport.html#a682fb477e687507fd715f2dfd29c397c">00402</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Viewport.html#a682fb477e687507fd715f2dfd29c397c" title="ZOrder.">mZOrder</a>;
<a name="l00404"></a><a class="code" href="classOgre_1_1Viewport.html#a36865f1dadd8c420534b75d908d102be">00404</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1Viewport.html#a36865f1dadd8c420534b75d908d102be" title="Background options.">mBackColour</a>;
<a name="l00405"></a><a class="code" href="classOgre_1_1Viewport.html#a66ef61a6a6a8aba393abfd77d041067c">00405</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Viewport.html#a66ef61a6a6a8aba393abfd77d041067c">mDepthClearValue</a>;
<a name="l00406"></a><a class="code" href="classOgre_1_1Viewport.html#acfd2ea86e54aee8f02f41e1fb5dc3b9b">00406</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#acfd2ea86e54aee8f02f41e1fb5dc3b9b">mClearEveryFrame</a>;
<a name="l00407"></a><a class="code" href="classOgre_1_1Viewport.html#ac6f276653f755783c0c7a9553eae8e66">00407</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Viewport.html#ac6f276653f755783c0c7a9553eae8e66">mClearBuffers</a>;
<a name="l00408"></a><a class="code" href="classOgre_1_1Viewport.html#ab709605fc7d6015af896b43cc71831ba">00408</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#ab709605fc7d6015af896b43cc71831ba">mUpdated</a>;
<a name="l00409"></a><a class="code" href="classOgre_1_1Viewport.html#a628f58393bf84c4fb404421919b6f198">00409</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#a628f58393bf84c4fb404421919b6f198">mShowOverlays</a>;
<a name="l00410"></a><a class="code" href="classOgre_1_1Viewport.html#ade5f6bd07d4902efb3e087c73a57ecab">00410</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#ade5f6bd07d4902efb3e087c73a57ecab">mShowSkies</a>;
<a name="l00411"></a><a class="code" href="classOgre_1_1Viewport.html#a508ab72bd9d5739210a6db2da0cbbc39">00411</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#a508ab72bd9d5739210a6db2da0cbbc39">mShowShadows</a>;
<a name="l00412"></a><a class="code" href="classOgre_1_1Viewport.html#a9af0d0c0aca7cfedae4bd2b8fef0c333">00412</a>         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1Viewport.html#a9af0d0c0aca7cfedae4bd2b8fef0c333">mVisibilityMask</a>;
<a name="l00413"></a>00413         <span class="comment">// Render queue invocation sequence name</span>
<a name="l00414"></a><a class="code" href="classOgre_1_1Viewport.html#aa1a763caddecc5e3d49b72bbd8726ce2">00414</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Viewport.html#aa1a763caddecc5e3d49b72bbd8726ce2">mRQSequenceName</a>;
<a name="l00415"></a><a class="code" href="classOgre_1_1Viewport.html#a8b082dd8109b00852809d8ca821dbccb">00415</a>         <a class="code" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a>* <a class="code" href="classOgre_1_1Viewport.html#a8b082dd8109b00852809d8ca821dbccb">mRQSequence</a>;
<a name="l00417"></a><a class="code" href="classOgre_1_1Viewport.html#acbe0e8aaceb85d46ace547d5f5204090">00417</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Viewport.html#acbe0e8aaceb85d46ace547d5f5204090" title="Material scheme.">mMaterialSchemeName</a>;
<a name="l00419"></a><a class="code" href="classOgre_1_1Viewport.html#a669d536fb471bdc2d0fb56216aeca8fa">00419</a>         <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> <a class="code" href="classOgre_1_1Viewport.html#a669d536fb471bdc2d0fb56216aeca8fa" title="Viewport orientation mode.">mOrientationMode</a>;
<a name="l00420"></a><a class="code" href="classOgre_1_1Viewport.html#aea1827211b09f15b586a4ccbf02744ab">00420</a>         <span class="keyword">static</span> <a class="code" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305" title="Specifies orientation mode.">OrientationMode</a> <a class="code" href="classOgre_1_1Viewport.html#aea1827211b09f15b586a4ccbf02744ab">mDefaultOrientationMode</a>;
<a name="l00421"></a>00421 
<a name="l00423"></a><a class="code" href="classOgre_1_1Viewport.html#aabdf5cdf796e081efcb52fad9e3745e2">00423</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Viewport.html#aabdf5cdf796e081efcb52fad9e3745e2" title="Automatic rendering on/off.">mIsAutoUpdated</a>;
<a name="l00424"></a>00424 
<a name="l00425"></a><a class="code" href="classOgre_1_1Viewport.html#af6d51594ca5654c324654b9198d0c5ce">00425</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;Listener*&gt;::type</a> <a class="code" href="classOgre_1_1Viewport.html#af6d51594ca5654c324654b9198d0c5ce">ListenerList</a>;
<a name="l00426"></a><a class="code" href="classOgre_1_1Viewport.html#a79c1bbe2ea6b3729bc2f3a42c4ffc74d">00426</a>         <a class="code" href="classOgre_1_1Viewport.html#af6d51594ca5654c324654b9198d0c5ce">ListenerList</a> <a class="code" href="classOgre_1_1Viewport.html#a79c1bbe2ea6b3729bc2f3a42c4ffc74d">mListeners</a>;
<a name="l00427"></a>00427     };
<a name="l00431"></a>00431 }
<a name="l00432"></a>00432 
<a name="l00433"></a>00433 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
